"""Модуль date_picker_locators содержит локаторы полей ввода даты.

Класс DatePickerLocators предоставляет XPath/CSS локаторы для взаимодействия
с полями ввода даты.
"""

class DatePickerLocators:
    """Локаторы для полей ввода на странице.

    Содержит XPath/CSS локаторы для:
    DATE_PICKER (str): контейнер средства выбора даты

    """

    DATE_PICKER = "div.menuable__content__active > div.v-picker"
    DATE_PICKER_TITLE_BUTTON_YEAR = "//div[contains(@class,'v-date-picker-title__year')]"
    DATE_PICKER_HEADER = "//div[contains(@class, 'v-date-picker-header')]"
    DATE_PICKER_HEADER_VALUE = "//div[contains(@class, 'v-date-picker-header__value')]"
    DATE_PICKER_TABLE_DAYS = "//div[contains(@class, 'v-date-picker-table--date')]"
    DATE_PICKER_LIST_YEARS = "ul.v-date-picker-years"
    DATE_PICKER_TABLE_MONTHS = "//div[contains(@class, 'v-date-picker-table--month')]"
